<?php
/**
 * @file
 * @brief       The plugin HideStoreUpdates definition
 * @ingroup     HideStoreUpdates
 *
 * @defgroup    HideStoreUpdates Plugin HideStoreUpdates.
 *
 * Hide some updates from store.
 * Selected modules and versions are logged in dotclear's log table.
 *
 * @author      Jean-Christian Denis
 * @copyright   GPL-2.0 https://www.gnu.org/licenses/gpl-2.0.html
 */
declare(strict_types=1);

$this->registerModule(
    'Hide store updates',
    'Hide some updates from store',
    'Jean-Christian Denis and Contributors',
    '0.1',
    [
        'requires'    => [['core', '2.28']],
        'permissions' => 'My',
        'type'        => 'plugin',
        'support'     => 'https://git.dotclear.watch/JcDenis/' . basename(__DIR__) . '/issues',
        'details'     => 'https://git.dotclear.watch/JcDenis/' . basename(__DIR__) . '/src/branch/master/README.md',
        'repository'  => 'https://git.dotclear.watch/JcDenis/' . basename(__DIR__) . '/raw/branch/master/dcstore.xml',
    ]
);
